Class: Aws::RAM::Types::UpdatePermissionResponse

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#client_token ⇒ String

The idempotency identifier associated with this request. If you want to repeat the same operation in an idempotent manner then you must include this value in the clientToken request parameter of that later call. All other parameters must also have the same values that you used in the first call.

Returns:

  • (String)


4411
4412
4413
4414
4415
4416
# File 'gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb', line 4411

class UpdatePermissionResponse < Struct.new(
  :client_token,
  :permission_status)
  SENSITIVE = []
  include Aws::Structure
end

#permission_status ⇒ String

The updated status of the permission.

Returns:

  • (String)


4411
4412
4413
4414
4415
4416
# File 'gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb', line 4411

class UpdatePermissionResponse < Struct.new(
  :client_token,
  :permission_status)
  SENSITIVE = []
  include Aws::Structure
end